#ifndef MAIN_LOOP_H
#define MAIN_LOOP_H

#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <errno.h>
#include <string.h>
#include <SDL.h>
#include "read_config.h"
#include "plugin.h"

#define INFINITY 10000000000.0f;

#define MIN      0.0f     /* min value from function 20*log10(data) */
#define MAX     30.0f     /* max value from function 20*log10(data) */
#define F_IMAGE (MAX-MIN) /* function image */

/* DO NOT CHANGE AFTER THIS LINE */
/* BEGIN */
/* fifo config */
#define FIFO_BEGIN    "[DATA BEGIN]" /* string sent to make sync */
#define FIFO_END      "[DATA END]"   /* string sent to make sync */
#define FIFO_CLOSED   "[CLOSED]"     /* string send when we close */
#define FIFO_MSG_SIZE 13             /* this must be the size of the largest string above + 1 ('\0') */
/* END */



int main_loop(config_item_list *cfg_items, plugin *plugin_struct);


#endif /* MAIN_LOOP_H */
